Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

New Contributor

I'm trying to upgrade smartsense to the latest 1.5 version on Ambari 2.4.2.0 and it fails with following.

hst upgrade-ambari-service

Starting SmartSense Ambari service upgrade

ERROR: Failed to install SmartSense service definition into ambari

Error code:1

Error stdout:ERROR: Failed to find any supported stack versions.

Error stderr:

4 REPLIES 4
Highlighted

Re: upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

New Contributor

I managed to move forward by changing the supported_stacks_versions in file hst-server.py to 2.4 as mine had 3.0 for HDP (don't know how) however now ambari-server start fails with DB consistency check and the error i get is

018-09-27 17:42:43,502 ERROR - Required config(s): product-info is(are) not available for service SMARTSENSE with service config version 13 in cluster

Any thoughts?

Re: upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

Contributor

Did you upgrade ambari to 2.7 before upgrading smartsense?

Re: upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

New Contributor

No I didn't. I fixed the error by adding the correct supported version into hst-server.py file however now stuck in another place. so decided to uninstall and reinstall smartsense and while doing that, adding services from Ambari UI gets stuck in Loading state in the Customized service step and the app.js is showing following

STATEMANAGER: Sending event 'next' to state root.main.serviceAdd.step2. vendor.js:17347:18 STATEMANAGER: Entering root.main.serviceAdd.step3 vendor.js:17584:18 Status code 200: Success. app.js:53833:3 Ajax loading time: config.validations [/stacks/HDP/versions/2.5/validations]: 1577.000ms app.js:178470:11 STATEMANAGER: Sending event 'next' to state root.main.serviceAdd.step3. vendor.js:17347:18 mergeBlueprints: 3ms app.js:168444:5 mergeBlueprints: 1ms app.js:168444:5 mergeBlueprints: 2ms app.js:168444:5 Status code 202: Success for creation. app.js:53836:5 Status code 200: Success. app.js:53833:3 Status code 200: Success. app.js:53833:3 Ajax loading time: config.validations [/stacks/HDP/versions/2.5/validations]: 1021.000ms app.js:178470:11 STATEMANAGER: Entering root.main.serviceAdd.step4 vendor.js:17584:18 Status code 202: Success for creation. app.js:53836:5 Status code 202: Success for creation. app.js:53836:5 Status code 200: Success. app.js:53833:3 App.stackConfigPropertiesMapper execution time: 12ms app.js:55567:5 Status code 200: Success. app.js:53833:3 Status code 200: Success. app.js:53833:3 Metrics with name "jvm.JvmMetrics.GcCount._rate" not found to compute expression app.js:200205:11 Metrics with name "jvm.JvmMetrics.GcCountConcurrentMarkSweep._rate" not found to compute expression app.js:200205:11 Metrics with name "jvm.JvmMetrics.GcTimeMillisConcurrentMarkSweep._rate" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.client.NumOpenConnections" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.datanode.NumOpenConnections" not found to compute expression app.js:200205:11 Metrics with name "jvm.JvmMetrics.MemHeapCommittedM" not found to compute expression app.js:200205:11 Metrics with name "jvm.JvmMetrics.MemHeapUsedM" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.client.RpcQueueTimeAvgTime" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.client.RpcProcessingTimeAvgTime" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.datanode.RpcQueueTimeAvgTime" not found to compute expression app.js:200205:11 Metrics with name "rpc.rpc.datanode.RpcProcessingTimeAvgTime" not found to compute expression app.js:200205:11 Status code 200: Success. app.js:53833:3 _refreshGraph: 25ms app.js:183939:5 Status code 200: Success. app.js:53833:3 Status code 200: Success. app.js:53833:3 App.stackConfigPropertiesMapper execution time: 137ms app.js:55567:5 Status code 200: Success. app.js:53833:3 Ajax loading time: configs.stack_configs.load.services [/stacks/HDP/versions/2.5/services?StackServices/service_name.in(HDFS,YARN,MAPREDUCE2,TEZ,HIVE,PIG,OO]: 1701.000ms app.js:178470:11 uncaught exception: Error: <DS.StateManager:ember18145> could not respond to event setProperty in state rootState.loading. Status code 202: Success for creation. app.js:53836:5 Status code 200: Success. app.js:53833:3 Status code 200: Success. app.js:53833:3 Status code 200: Success. app.js:53833:3 Status code 200: Success.

Re: upgrade-ambari-service for smartsense 1.5 fails with Error stdout:ERROR: Failed to find any supported stack versions.

Contributor

I don't see any error in the above message. Check ambari-server logs for any error message.